> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trmlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a Sanctioned Address



## OpenAPI

````yaml /specs/chainabuse-openapi.yaml get /sanctioned-addresses/{address}
openapi: 3.0.0
info:
  title: Chainabuse API
  version: 0.1.0
  description: >
    The API uses Basic Authentication to authenticate requests. You can generate
    a new API key from your user profile on Chainabuse.
  contact:
    email: hello@chainabuse.com
servers:
  - url: https://api.chainabuse.com/v0
security:
  - basic: []
paths:
  /sanctioned-addresses/{address}:
    get:
      tags:
        - Sanctions
      summary: Check a Sanctioned Address
      operationId: CheckSanctionedAddress
      parameters:
        - name: address
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SanctionedAddressPayload'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      deprecated: true
      security:
        - basic: []
components:
  schemas:
    SanctionedAddressPayload:
      type: object
      required:
        - chain
        - address
      properties:
        label:
          type: string
        chain:
          type: string
        address:
          type: string
      example:
        address: 12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y
        chain: BTC
        label: Multinational Hacker
    ErrorResponse:
      type: object
      required:
        - reason
      properties:
        reason:
          type: string
  securitySchemes:
    basic:
      type: http
      scheme: basic

````